Package ru.bitel.bgbilling.modules.tv.common.bean

# Class TvAccountSpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.tv.common.bean.TvAccountSpec

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class TvAccountSpec
    extends Entity

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TvAccountSpec()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getConfig()` |
  `java.util.Set<java.lang.Integer>` | `getDeviceGroupIds()` |
  `java.util.Set<java.lang.Integer>` | `getDeviceTypeIds()` |
  `java.util.Set<java.lang.Integer>` | `getParentTypeIds()` |
  `boolean` | `isNeedDevice()` |
  `boolean` | `isNeedIdentifier()` |
  `boolean` | `isNeedInterface()` |
  `boolean` | `isNeedLogin()` |
  `boolean` | `isNeedMacAddress()` |
  `boolean` | `isNeedPassword()` |
  `boolean` | `isNeedPin()` |
  `boolean` | `isNeedVlan()` |
  `boolean` | `isPersonalInterface()` |
  `boolean` | `isPersonalVlan()` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setDeviceGroupIds​(java.util.Set<java.lang.Integer> deviceGroupIds)` |
  `void` | `setDeviceTypeIds​(java.util.Set<java.lang.Integer> deviceTypeIds)` |
  `void` | `setNeedDevice​(boolean needDevice)` |
  `void` | `setNeedIdentifier​(boolean needIdentifier)` |
  `void` | `setNeedInterface​(boolean needPort)` |
  `void` | `setNeedLogin​(boolean needLogin)` |
  `void` | `setNeedMacAddress​(boolean needMacAddress)` |
  `void` | `setNeedPassword​(boolean needPassword)` |
  `void` | `setNeedPin​(boolean needPin)` |
  `void` | `setNeedVlan​(boolean needVlan)` |
  `void` | `setParentTypeIds​(java.util.Set<java.lang.Integer> childrenServTypeIds)` |
  `void` | `setPersonalInterface​(boolean personalInterface)` |
  `void` | `setPersonalVlan​(boolean personalVlan)` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TvAccountSpec

    public TvAccountSpec()

- ## Method Details

  - ### getDeviceTypeIds

    public java.util.Set<java.lang.Integer> getDeviceTypeIds()

  - ### setDeviceTypeIds

    public void setDeviceTypeIds​(java.util.Set<java.lang.Integer> deviceTypeIds)

  - ### getDeviceGroupIds

    public java.util.Set<java.lang.Integer> getDeviceGroupIds()

  - ### setDeviceGroupIds

    public void setDeviceGroupIds​(java.util.Set<java.lang.Integer> deviceGroupIds)

  - ### isNeedInterface

    public boolean isNeedInterface()

  - ### setNeedInterface

    public void setNeedInterface​(boolean needPort)

  - ### isNeedVlan

    public boolean isNeedVlan()

  - ### setNeedVlan

    public void setNeedVlan​(boolean needVlan)

  - ### isNeedLogin

    public boolean isNeedLogin()

  - ### setNeedLogin

    public void setNeedLogin​(boolean needLogin)

  - ### isNeedPassword

    public boolean isNeedPassword()

  - ### setNeedPassword

    public void setNeedPassword​(boolean needPassword)

  - ### isNeedPin

    public boolean isNeedPin()

  - ### setNeedPin

    public void setNeedPin​(boolean needPin)

  - ### isNeedDevice

    public boolean isNeedDevice()

  - ### setNeedDevice

    public void setNeedDevice​(boolean needDevice)

  - ### isPersonalInterface

    public boolean isPersonalInterface()

  - ### setPersonalInterface

    public void setPersonalInterface​(boolean personalInterface)

  - ### getParentTypeIds

    public java.util.Set<java.lang.Integer> getParentTypeIds()

  - ### setParentTypeIds

    public void setParentTypeIds​(java.util.Set<java.lang.Integer> childrenServTypeIds)

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### isPersonalVlan

    public boolean isPersonalVlan()

  - ### setPersonalVlan

    public void setPersonalVlan​(boolean personalVlan)

  - ### isNeedIdentifier

    public boolean isNeedIdentifier()

  - ### setNeedIdentifier

    public void setNeedIdentifier​(boolean needIdentifier)

  - ### isNeedMacAddress

    public boolean isNeedMacAddress()

  - ### setNeedMacAddress

    public void setNeedMacAddress​(boolean needMacAddress)